跳到主要内容

查看任务详情 (V2)

本接口可查看指定控制面任务详情。

GET/v2/jobs/{JOB_ID}
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

shell
export BASE_URL="https://api.cloud.zilliz.com"
参数
Authorizationstringheader必填项

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
JOB_IDstringpath必填项

The ID of the job that has been submitted.

示例值:job-xxxxxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export JOB_ID="job-xxxxxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/jobs/${JOB_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应

成功

jobIdstring

The ID of the job that has been submitted.

typestring

The type of the job

statusstring

The status of the job

progressstring

The progress of the job

startTimestring

The time at which the job starts.

endTimestring

The time at which the job end.

reasonstring

The message of why the job failed.

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

Successjson
{
"code": 0,
"data": {
"jobId": "job-03e1eefbd82dmo2oeb8pe2",
"type": "MIGRATION",
"status": "SUCCESSFUL",
"progress": "100",
"startTime": "2024-07-30T16:49:50Z",
"endTime": "2024-07-30T17:30:50Z",
"reason": ""
}
}
Ctrl I